<?php


namespace Schaffen\Core\Person\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Core\Person\Repositories\PersonModalityRepository;

class PersonModalityManager extends ManipulationManager
{
    public function __construct(PersonModalityRepository $repository)
    {
        parent::__construct($repository);
    }

    public function buscarModalidadePessoa($values){
        $pessoa_modalidade = $this->repository->first(['pem_fk_pes_codigo' => $values['pes_codigo']]);
        return $pessoa_modalidade->pem_fk_mdd_codigo ?? null;
    }

}