<?php


namespace Schaffen\Core\Person\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Core\Person\Repositories\ContactRepository;
use Schaffen\Core\Person\Repositories\CompletePersonRepository;
use Schaffen\Core\Person\Repositories\AddressRepository;


class CompletePersonManager extends ManipulationManager
{
    protected $validation = [
        self::CREATE => [],
        self::EDIT => []
    ];

    /**
     * @var PersonRepository
     */
    protected $repository;
    /**
     * @var AddressRepository
     */
    protected $address_repository;
    /**
     * @var ContactRepository
     */
    protected $contact_repository;


    public function __construct(
        CompletePersonRepository      $repository,
        AddressRepository     $address_repository,
        ContactRepository     $contact_repository
    )
    {
        $this->repository = $repository;
        $this->address_repository = $address_repository;
        $this->contact_repository = $contact_repository;
    }

  
}
