<?php


namespace Schaffen\Core\Person\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Traits\HasPerson;

class PersonModality extends Model
{

    protected $connection = 'dynamicdb';
    protected $table = "cadastro.pessoa_modalidade";
    protected $primaryKey = "pem_fk_pes_codigo";
    const CREATED_AT = 'pem_date_insert';
    const UPDATED_AT = 'pem_date_update';

    protected $fillable = [
        "pem_fk_pes_codigo",
        "pem_fk_mdd_codigo",
        "pem_status",
        "pem_user_insert",
        "pem_user_update",

    ];

    public function person()
    {
        return $this->belongsTo(Person::class, 'pem_fk_pes_codigo')->with('address_default', 'contact_default', 'route_client','rota_cliente');
    }


}